[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.ActivateHintData

An alternate version of ActivateHint with additional data used for the hint display.

## Declaration

Source position: forms.pp line 1020

`public procedure THintWindow.ActivateHintData(`
`ARect: TRect;`
`const AHint: string;`
`AData: pointer`
`); virtual;`

## Arguments

`ARect` |  | Display rectangle for the hint text.
`AHint` |  | Text displayed in the hint window.
`AData` |  | Pointer to additional data used to construct the hint text.

## Description

ActivateHintData is an alternate version of ActivateHint. It provides the additional AData argument which contains a pointer to values which can be used to construct the text displayed in the hint window.

ActivateHintData stores the value in ARect to the HintRect for the hint window. It ensures that the display rectangle fits within the work area for the monitor where the hint window is displayed. Values in HintRect are adjusted as needed to position and size the window before the hint window becomes visible. ActivateHint is called to display the window with the specified hint text.

Remark: | The ActivateHintData implementation in THintWindow does not use the value in AData. The method must be overridden in a descendent class to use the additional hint data in the AData argument.

## See also

THintWindow.ActivateHint |  | Shows the hint window with the specified hint text.
THintWindow.HintRect |  | Contains the bounds used to display the text for the hint.